com.ihr.xbrl.dts

## Enum HandleDateStep.InstantMode

- java.lang.Object
- - java.lang.Enum<HandleDateStep.InstantMode>
  - - com.ihr.xbrl.dts.HandleDateStep.InstantMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HandleDateStep.InstantMode>
  Enclosing interface:
    HandleDateStep

      public static enum HandleDateStep.InstantMode
      extends java.lang.Enum<HandleDateStep.InstantMode>

  Enumeration of possible values for the InstantMode
  - BOP means Beginning of Period. Instant data is get for a column if the instant date matches the date of the start of the period
  - EOP means End of Period. Instant data is get for a column is the instant date matches the end of period date
  - EPY meand End of Previous Year. Instant data that matches closing books of previous year
  - ANY means the instant data is get for a column if the instant date is inside the boundaries of the period
  - UNKNOWN means an error. You are asking the wrong class about the value of InstantMode
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY` The any.
    `BOP` The bop.
    `EOP` The eop.
    `EPY` The epy.
    `UNKNOWN` The unknown.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HandleDateStep.InstantMode` | `valueOf(int use)` Value of.
    `static HandleDateStep.InstantMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HandleDateStep.InstantMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOP

          public static final HandleDateStep.InstantMode BOP

      The bop.

    - #### EOP

          public static final HandleDateStep.InstantMode EOP

      The eop.

    - #### EPY

          public static final HandleDateStep.InstantMode EPY

      The epy.

    - #### ANY

          public static final HandleDateStep.InstantMode ANY

      The any.

    - #### UNKNOWN

          public static final HandleDateStep.InstantMode UNKNOWN

      The unknown.

  - ### Method Detail

    - #### values

          public static HandleDateStep.InstantMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HandleDateStep.InstantMode c : HandleDateStep.InstantMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HandleDateStep.InstantMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HandleDateStep.InstantMode valueOf(int use)

      Value of.
      Parameters:
        `use` - the use
      Returns:
        the instant mode